NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::SheetMetal::FlexibleCableBuilder Class Reference

Represents a Flexible Cable feature builder. More...

Inheritance diagram for NXOpen::Features::SheetMetal::FlexibleCableBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  BendAngleDirectionOptions { BendAngleDirectionOptionsReverseNormalDirection, BendAngleDirectionOptionsNormalDirection }
 This enum represents the bend angle direction for the bend segment. More...
 
enum  PathAdjustmentAngleDirectionOptions { PathAdjustmentAngleDirectionOptionsLeftDirection, PathAdjustmentAngleDirectionOptionsRightDirection }
 This enum represents the path adjustment angle direction for the bend segment. More...
 
enum  SegmentTypeOptions { SegmentTypeOptionsPlanar, SegmentTypeOptionsBend }
 Represents the Flexible Cable segment options. More...
 

Public Member Functions

NXOpen::DirectionCableDirection ()
 Returns the cable direction. More...
 
int ConductorCount ()
 Returns the count of conductors. More...
 
NXOpen::ExpressionConductorSpacing ()
 Returns the conductor spacing. More...
 
NXOpen::ExpressionConductorWidth ()
 Returns the conductor width. More...
 
NXOpen::Features::SheetMetal::FlexibleCableSegmentCreateBendSegment (const NXString &bendAngle, const NXString &bendRadius, const NXString &pathAdjustmentAngle, NXOpen::Features::SheetMetal::FlexibleCableBuilder::BendAngleDirectionOptions bendAngleDirection, NXOpen::Features::SheetMetal::FlexibleCableBuilder::PathAdjustmentAngleDirectionOptions pathAdjustmentAngleDirection, int segmentIndex)
 Creates a new Features::SheetMetal::FlexibleCableSegment bend segment. More...
 
NXOpen::Features::SheetMetal::FlexibleCableSegmentCreateBendSegment (const char *bendAngle, const char *bendRadius, const char *pathAdjustmentAngle, NXOpen::Features::SheetMetal::FlexibleCableBuilder::BendAngleDirectionOptions bendAngleDirection, NXOpen::Features::SheetMetal::FlexibleCableBuilder::PathAdjustmentAngleDirectionOptions pathAdjustmentAngleDirection, int segmentIndex)
 Creates a new Features::SheetMetal::FlexibleCableSegment bend segment. More...
 
NXOpen::Features::SheetMetal::FlexibleCableSegmentCreatePlanarSegment (const NXString &length, int segmentIndex)
 Creates a new Features::SheetMetal::FlexibleCableSegment planar segment. More...
 
NXOpen::Features::SheetMetal::FlexibleCableSegmentCreatePlanarSegment (const char *length, int segmentIndex)
 Creates a new Features::SheetMetal::FlexibleCableSegment planar segment. More...
 
NXOpen::ExpressionCrossSectionWidth ()
 Returns the cross section width. More...
 
void DeleteAllSegments ()
 Deletes all cable segments. More...
 
void DeleteSegment (int index)
 Deletes a cable segment at given index. More...
 
int GetIndexOfSegment (NXOpen::Features::SheetMetal::FlexibleCableSegment *flexibleCableSegment)
 Returns the index of cable segment. More...
 
NXOpen::Features::SheetMetal::FlexibleCableSegmentGetSegment (int index)
 Returns the cable segment at given index. More...
 
int GetSegmentCount ()
 Get the count of Features::SheetMetal::FlexibleCableSegment . More...
 
NXOpen::TaggedObjectListSegmentList ()
 Returns the cable segment list. More...
 
void SetCableDirection (NXOpen::Direction *cableDirection)
 Sets the cable direction. More...
 
void SetConductorCount (int noOfConductors)
 Sets the count of conductors. More...
 
void SetStartPoint (NXOpen::Point *startPoint)
 Sets the start point. More...
 
void SetThicknessDirection (NXOpen::Direction *thicknessDirection)
 Sets the thickness direction. More...
 
NXOpen::PointStartPoint ()
 Returns the start point. More...
 
NXOpen::ExpressionStrippingLength ()
 Returns the stripping length. More...
 
NXOpen::ExpressionThickness ()
 Returns the thickness. More...
 
NXOpen::DirectionThicknessDirection ()
 Returns the thickness direction. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a Flexible Cable feature builder.


To create a new instance of this class, use NXOpen::Features::SheetMetal::SheetmetalManager::CreateFlexibleCableBuilder
Default values.

Property Value

ConductorCount

5

ConductorSpacing.Value

1 (millimeters part), 0.1 (inches part)

ConductorWidth.Value

2 (millimeters part), 0.2 (inches part)

CrossSectionWidth.Value

20 (millimeters part), 1 (inches part)

StrippingLength.Value

3 (millimeters part), 0.3 (inches part)

Thickness.Value

1 (millimeters part), 0.04 (inches part)


Created in NX6.0.0.

Member Enumeration Documentation

This enum represents the bend angle direction for the bend segment.

First member of the cable is always a planar segment. For this, the normal direction for bend angle is opposite to the thickness direction. This convention continues untill a fold (bend type having nonzero path adjustment angle) is placed. After this, the convention reverses, meaning the normal direction for the bend angle is along the thickness direction. For each member, the thickness direction signifies the material addition direction. This is an input for the entire cable at the start.

Enumerator
BendAngleDirectionOptionsReverseNormalDirection 

Bend angle reverse normal direction.

BendAngleDirectionOptionsNormalDirection 

Bend angle normal direction.

This enum represents the path adjustment angle direction for the bend segment.

The cross product of the cable direction and the bend angle direction determined using above convention gives the right direction for the path adjustment angle. The left direction is opposite to that.

Enumerator
PathAdjustmentAngleDirectionOptionsLeftDirection 

Path adjustment angle left direction.

PathAdjustmentAngleDirectionOptionsRightDirection 

Path adjustment angle right direction.

Represents the Flexible Cable segment options.

Enumerator
SegmentTypeOptionsPlanar 

Planar cable segment.

SegmentTypeOptionsBend 

Bend cable segment.

Member Function Documentation

NXOpen::Direction* NXOpen::Features::SheetMetal::FlexibleCableBuilder::CableDirection ( )

Returns the cable direction.


Created in NX7.5.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")

int NXOpen::Features::SheetMetal::FlexibleCableBuilder::ConductorCount ( )

Returns the count of conductors.


Created in NX7.5.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")

NXOpen::Expression* NXOpen::Features::SheetMetal::FlexibleCableBuilder::ConductorSpacing ( )

Returns the conductor spacing.


Created in NX6.0.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")

NXOpen::Expression* NXOpen::Features::SheetMetal::FlexibleCableBuilder::ConductorWidth ( )

Returns the conductor width.


Created in NX6.0.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")

NXOpen::Features::SheetMetal::FlexibleCableSegment* NXOpen::Features::SheetMetal::FlexibleCableBuilder::CreateBendSegment ( const NXString bendAngle,
const NXString bendRadius,
const NXString pathAdjustmentAngle,
NXOpen::Features::SheetMetal::FlexibleCableBuilder::BendAngleDirectionOptions  bendAngleDirection,
NXOpen::Features::SheetMetal::FlexibleCableBuilder::PathAdjustmentAngleDirectionOptions  pathAdjustmentAngleDirection,
int  segmentIndex 
)

Creates a new Features::SheetMetal::FlexibleCableSegment bend segment.

This can be either appended at the end, or inserted in between the list. This is decided by the input index.

Returns

Created in NX7.5.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")
Parameters
bendAngleBend angle.
bendRadiusBend radius.
pathAdjustmentAnglePath adjustment angle.
bendAngleDirectionFeatures::SheetMetal::FlexibleCableBuilder::BendAngleDirectionOptions
pathAdjustmentAngleDirectionFeatures::SheetMetal::FlexibleCableBuilder::PathAdjustmentAngleDirectionOptions
segmentIndexIndex.
NXOpen::Features::SheetMetal::FlexibleCableSegment* NXOpen::Features::SheetMetal::FlexibleCableBuilder::CreateBendSegment ( const char *  bendAngle,
const char *  bendRadius,
const char *  pathAdjustmentAngle,
NXOpen::Features::SheetMetal::FlexibleCableBuilder::BendAngleDirectionOptions  bendAngleDirection,
NXOpen::Features::SheetMetal::FlexibleCableBuilder::PathAdjustmentAngleDirectionOptions  pathAdjustmentAngleDirection,
int  segmentIndex 
)

Creates a new Features::SheetMetal::FlexibleCableSegment bend segment.

This can be either appended at the end, or inserted in between the list. This is decided by the input index.

Returns

Created in NX7.5.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")
Parameters
bendAngleBend angle.
bendRadiusBend radius.
pathAdjustmentAnglePath adjustment angle.
bendAngleDirectionFeatures::SheetMetal::FlexibleCableBuilder::BendAngleDirectionOptions
pathAdjustmentAngleDirectionFeatures::SheetMetal::FlexibleCableBuilder::PathAdjustmentAngleDirectionOptions
segmentIndexIndex.
NXOpen::Features::SheetMetal::FlexibleCableSegment* NXOpen::Features::SheetMetal::FlexibleCableBuilder::CreatePlanarSegment ( const NXString length,
int  segmentIndex 
)

Creates a new Features::SheetMetal::FlexibleCableSegment planar segment.

This can be either appended at the end, or inserted in between the list. This is decided by the input index.

Returns

Created in NX7.5.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")
Parameters
lengthLength.
segmentIndexIndex.
NXOpen::Features::SheetMetal::FlexibleCableSegment* NXOpen::Features::SheetMetal::FlexibleCableBuilder::CreatePlanarSegment ( const char *  length,
int  segmentIndex 
)

Creates a new Features::SheetMetal::FlexibleCableSegment planar segment.

This can be either appended at the end, or inserted in between the list. This is decided by the input index.

Returns

Created in NX7.5.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")
Parameters
lengthLength.
segmentIndexIndex.
NXOpen::Expression* NXOpen::Features::SheetMetal::FlexibleCableBuilder::CrossSectionWidth ( )

Returns the cross section width.


Created in NX6.0.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")

void NXOpen::Features::SheetMetal::FlexibleCableBuilder::DeleteAllSegments ( )

Deletes all cable segments.


Created in NX7.5.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")

void NXOpen::Features::SheetMetal::FlexibleCableBuilder::DeleteSegment ( int  index)

Deletes a cable segment at given index.


Created in NX7.5.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
indexIndex of the Features::SheetMetal::FlexibleCableSegment which needs to be deleted.
int NXOpen::Features::SheetMetal::FlexibleCableBuilder::GetIndexOfSegment ( NXOpen::Features::SheetMetal::FlexibleCableSegment flexibleCableSegment)

Returns the index of cable segment.

Returns

Created in NX7.5.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")
Parameters
flexibleCableSegmentFeatures::SheetMetal::FlexibleCableSegment .
NXOpen::Features::SheetMetal::FlexibleCableSegment* NXOpen::Features::SheetMetal::FlexibleCableBuilder::GetSegment ( int  index)

Returns the cable segment at given index.

Returns

Created in NX7.5.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")
Parameters
indexIndex of the required Features::SheetMetal::FlexibleCableSegment .
int NXOpen::Features::SheetMetal::FlexibleCableBuilder::GetSegmentCount ( )

Get the count of Features::SheetMetal::FlexibleCableSegment .

Returns
Segment count.
Created in NX7.5.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")
NXOpen::TaggedObjectList* NXOpen::Features::SheetMetal::FlexibleCableBuilder::SegmentList ( )

Returns the cable segment list.


Created in NX7.5.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")

void NXOpen::Features::SheetMetal::FlexibleCableBuilder::SetCableDirection ( NXOpen::Direction cableDirection)

Sets the cable direction.


Created in NX7.5.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
cableDirectioncabledirection
void NXOpen::Features::SheetMetal::FlexibleCableBuilder::SetConductorCount ( int  noOfConductors)

Sets the count of conductors.


Created in NX7.5.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
noOfConductorsNumber of conductors of cable.
void NXOpen::Features::SheetMetal::FlexibleCableBuilder::SetStartPoint ( NXOpen::Point startPoint)

Sets the start point.


Created in NX7.5.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
startPointstartpoint
void NXOpen::Features::SheetMetal::FlexibleCableBuilder::SetThicknessDirection ( NXOpen::Direction thicknessDirection)

Sets the thickness direction.


Created in NX7.5.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
thicknessDirectionthicknessdirection
NXOpen::Point* NXOpen::Features::SheetMetal::FlexibleCableBuilder::StartPoint ( )

Returns the start point.


Created in NX7.5.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")

NXOpen::Expression* NXOpen::Features::SheetMetal::FlexibleCableBuilder::StrippingLength ( )

Returns the stripping length.


Created in NX6.0.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")

NXOpen::Expression* NXOpen::Features::SheetMetal::FlexibleCableBuilder::Thickness ( )

Returns the thickness.


Created in NX6.0.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")

NXOpen::Direction* NXOpen::Features::SheetMetal::FlexibleCableBuilder::ThicknessDirection ( )

Returns the thickness direction.


Created in NX7.5.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.